For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
            • GETText search
            • GETSmart search
          • GETList conversations
          • GETGet conversation details
          • DELDelete conversation
          • GETGet conversation audio
          • GETGet signed URL
          • GETGet conversation token
          • POSTSend conversation feedback
          • POSTUpload conversation file
          • DELDelete conversation file
          • GETGet SIP messages for a conversation
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceConversationsMessages

Text search

GET
/v1/convai/conversations/messages/text-search
GET
/v1/convai/conversations/messages/text-search
$curl -G https://api.elevenlabs.io/v1/convai/conversations/messages/text-search \
> --data-urlencode "text_query=refund policy"
1{
2 "results": [
3 {
4 "conversation_id": "string",
5 "agent_id": "string",
6 "transcript_index": 1,
7 "chunk_text": "string",
8 "score": 1.1,
9 "conversation_start_time_unix_secs": 1,
10 "agent_name": "string",
11 "chunk_highlights": [
12 {
13 "value": "string",
14 "is_hit": true
15 }
16 ]
17 }
18 ],
19 "has_more": true,
20 "meta": {
21 "total": 1,
22 "page": 1,
23 "page_size": 1
24 },
25 "next_cursor": "string"
26}

Search through conversation transcript messages by full-text and fuzzy search

Was this page helpful?
Previous

Smart search

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

text_querystringRequired

The search query text for full-text and fuzzy matching

agent_idstring or nullOptional

Agent id (agent_…) or speech engine external id (seng_), resolved to the same underlying resource.

call_successfulenum or nullOptional
The result of the success evaluation
Allowed values:
call_start_before_unixinteger or nullOptional

Unix timestamp (in seconds) to filter conversations up to this start date.

call_start_after_unixinteger or nullOptional

Unix timestamp (in seconds) to filter conversations after to this start date.

call_duration_min_secsinteger or nullOptional
Minimum call duration in seconds.
call_duration_max_secsinteger or nullOptional
Maximum call duration in seconds.
rating_maxinteger or nullOptional1-5

Maximum overall rating (1-5).

rating_mininteger or nullOptional1-5

Minimum overall rating (1-5).

has_feedback_commentboolean or nullOptional
Filter conversations with user feedback comments.
user_idstring or nullOptional
Filter conversations by the user ID who initiated them.
evaluation_paramslist of strings or nullOptional

Evaluation filters. Repeat param. Format: criteria_id:result. Example: eval=value_framing:success

data_collection_paramslist of strings or nullOptional

Data collection filters. Repeat param. Format: id:op:value where op is one of eq|neq|gt|gte|lt|lte|in|exists|missing. For in, pipe-delimit values.

tool_nameslist of strings or nullOptional
Filter conversations by tool names used during the call.
tool_names_successfullist of strings or nullOptional
Filter conversations by tool names that had successful calls.
tool_names_erroredlist of strings or nullOptional
Filter conversations by tool names that had errored calls.
main_languageslist of strings or nullOptional

Filter conversations by detected main language (language code).

page_sizeintegerOptional1-50Defaults to 20
Number of results per page. Max 50.
summary_modeenumOptionalDefaults to exclude
Whether to include transcript summaries in the response.
Allowed values:
conversation_initiation_sourceenum or nullOptionalDefaults to unknown
Enum representing the possible sources for conversation initiation.
text_onlyboolean or nullOptional
branch_idstring or nullOptional
Filter conversations by branch ID.
topic_idslist of strings or nullOptional
Filter conversations by topic IDs assigned during topic discovery.
sort_byenumOptional

Sort order for search results. ‘search_score’ sorts by search score, ‘created_at’ sorts by conversation start time.

Allowed values:
cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
resultslist of objects
has_moreboolean
Whether there are more results available
metaobject
next_cursorstring or null
Cursor for the next page of results

Errors

422
Unprocessable Entity Error